#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include <ext/hash_map>
#include <vector>
#include <string>

#define	SEPARATOR	":::"

using namespace std;

typedef struct _node {
	string	value;
	string	v_value;
	string	c_value;
	_node		*children[255];
} node;
node	root;

int clear(node &n);
vector<string>	*split(string input, string separator);
int add(string	value);
int print(node *n, string prefix, bool contained);
int printLink(node *n, string prefix);
int printHead();
int printFoot();
int main(int argc, char **argv);
